Package org.apache.batchee.container.navigator

## Class FlowNavigator

- java.lang.Object
- - org.apache.batchee.container.navigator.AbstractNavigator<Flow>
  - - org.apache.batchee.container.navigator.FlowNavigator

- All Implemented Interfaces:
    `ModelNavigator<Flow>`

      public class FlowNavigator
      extends AbstractNavigator<Flow>
      implements ModelNavigator<Flow>

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FlowNavigator​(Flow flow)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ExecutionElement` | `getFirstExecutionElement​(String restartOn)` |
    `Transition` | `getNextTransition​(ExecutionElement currentExecutionElem, ExecutionStatus currentStatus)` | Enforces "can't revisit already visited steps rule".
    `Flow` | `getRootModelElement()` | E.g.
    `String` | `toString()` |

    - ### Methods inherited from class org.apache.batchee.container.navigator.AbstractNavigator

      `getFirstExecutionElement, getNextTransition`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FlowNavigator

          public FlowNavigator​(Flow flow)

  - ### Method Detail

    - #### getFirstExecutionElement

          public ExecutionElement getFirstExecutionElement​(String restartOn)
                                                    throws IllegalTransitionException

      Specified by:
        `getFirstExecutionElement` in interface `ModelNavigator<Flow>`
      Returns:
      Throws:
        `IllegalTransitionException`

    - #### getNextTransition

          public Transition getNextTransition​(ExecutionElement currentExecutionElem,
                                              ExecutionStatus currentStatus)
                                       throws IllegalTransitionException

      Description copied from interface: `ModelNavigator`
      Enforces "can't revisit already visited steps rule".
      Specified by:
        `getNextTransition` in interface `ModelNavigator<Flow>`
      Throws:
        `IllegalTransitionException`

    - #### getRootModelElement

          public Flow getRootModelElement()

      Description copied from interface: `ModelNavigator`
      E.g. the JSLJob for a job, the Flow for a flow, etc.
      Specified by:
        `getRootModelElement` in interface `ModelNavigator<Flow>`
      Returns:

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`